Aug 14

[原]红旗Asianux 3.0 安装 Oracle 9i 不指定

linuxing , 13:14 , 数据库 » Oracle , 评论(1) , 引用(0) , 阅读(15952) , Via 本站原创 | |
    某项目,因硬件为HP DL 380 G6,部署Oracle 9i。受硬件驱动的影响,需要使用Asianux 3.0 SP2。经查询多方资料及实际测试,Oracle 9i 32bit可运行在Asianux 3.0 SP2 for x86环境,但不支持x86_64版本。而在部署和安装时还涉及不少的补丁,下面把需重点注意的地方描述一下。

一、安装前准备
我这里以Asinaux 3.0 SP1 for x86版本完整安装所有包为例,SP2版过程相同。
安装前、后需要准备若干补丁包,其中rpm包,可从Oracle Compatility项目获得。
其他补丁可以从Oracle metalink得到,或Google搜索,在文章的最后,我已经把这些文件打包好,提供下载。

1、设置主机名和IP对应
修改/etc/sysconfig/network文件,设置主机名,并在/etc/hosts中,做好IP对应关系:
引用
# hostname
oracle9i
# cat /etc/hosts
192.168.228.132         oracle9i

2、创建用户和组

# groupadd dba
# groupadd oinstall
# useradd -g oinstall -G dba oracle

3、创建安装路径

# mkdir -p /opt/app/oracle/product/9.2.0
# cd /opt/app/
# chown -R oracle.dba oracle/

4、编写用户的环境变量

# su - oracle
$ vi .bash_profile

在oracle用户的.bash_profile文件的最后,加入:
引用
export ORACLE_BASE=/opt/app/oracle
export ORACLE_HOME=/opt/app/oracle/product/9.2.0
export PATH=$PATH:$ORACLE_HOME/bin:$ORACLE_HOME/Apache/Apache/bin
export ORACLE_OWNER=oracle
export ORACLE_SID=orcl
export ORACLE_TERM=xterm
export THREADS_FLAG=native
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ORACLE_HOME/lib
export ORACLE_OEM_JAVARUNTIME=$ORACLE_BASE/jre/1.3.1
export NLS_LANG="American_america.zhs16gbk"
# export NLS_LANG="SIMPLIFIED CHINESE_CHINA.ZHS16GBK"
export ORA_NLS33=$ORACLE_HOME/ocommon/nls/admin/data
export DISPLAY=:0.0
export LC_ALL=C

5、安装补丁包
正如以前在其他操作系统上安装Oracle 9i一样,在安装前仍需要先打上一些补丁,如降低gcc版本,安装libcwait.so库等。方法有很多,比较简单是,是直接从Oracle Compatility项目安装补丁。
下载所有的rpm后(除binutils包外),使用root安装它们:

# rpm -ivh compat-binutils215-2.15.92.0.2-24.i386.rpm
# rpm -ivh compat-libcwait-2.1-1.i386.rpm
# rpm -ivh compat-libstdc++-3.2-1.i386.rpm compat-libstdc++-egcs-1.1.2-1.i386.rpm --force
# rpm -ivh compat-oracle-el5-1.0-5.i386.rpm openmotif21-2.1.30-11.EL5.i386.rpm
# rpm -ivh xorg-x11-libs-compat-6.8.2-1.EL.33.0.1.i386.rpm

其中,compat-libstdc++-3.2-1.i386.rpm 包会与系统中的compat-libstdc++-296-2.96-138.2AX冲突,实际上前者已经包含了后者的文件,为了保持后面的兼容性,可使用--force参数强制安装。
另外,Asianux 3.0系统中已经提供了fonts-chinese包,因此忽略之。
安装完毕后,确认一下gcc版本是否已经降低:

# gcc -v
从 /usr/lib/gcc/i386-asianux-linux/3.4.6/specs 读取 specs
配置为:../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-languages=c,c++,f77 --disable-libgcj --host=i386-asianux-linux
线程模型:posix
gcc 版本 3.4.6 20060404 (Asianux 3.4.6-5AXS3)

6、解压安装镜像
可以从Oracle网站获得9i 的安装镜像,并使用下面的命令解压出来(以oracle用户执行):

# su - oracle
$ zcat ship_9204_linux_disk1.cpio.gz|cpio -idvm
$ zcat ship_9204_linux_disk2.cpio.gz|cpio -idvm
$ zcat ship_9204_linux_disk3.cpio.gz|cpio -idvm

二、开始安装
1、执行安装
Oracle的安装均以oracle用户进行,进入X-Win界面后,为让oracle用户有权限显示安装界面,需要先以root用户执行:

# xhost +

然后切换到oracle用户,执行安装程序:

# su - oracle
$ cd Disk1
$ ./runInstaller

(大部分的安装界面不再描述,仅列出关键部分)

输入安装或升级Oracle使用的用户组:
点击在新窗口中浏览此图片

使用root权限执行脚本:
点击在新窗口中浏览此图片

# /tmp/orainstRoot.sh
Creating Oracle Inventory pointer file (/etc/oraInst.loc)
Changing groupname of /opt/app/oracle/oraInventory to oinstall.


加入简体中文支持,并选择安装Database:
点击在新窗口中浏览此图片

再次使用root执行一个脚本:
点击在新窗口中浏览此图片
引用
# /opt/app/oracle/product/9.2.0/root.sh
Running Oracle9 root.sh script...
\nThe following environment variables are set as:
    ORACLE_OWNER= oracle
    ORACLE_HOME=  /opt/app/oracle/product/9.2.0

Enter the full pathname of the local bin directory: [/usr/local/bin]:
   Copying dbhome to /usr/local/bin ...
   Copying oraenv to /usr/local/bin ...
   Copying coraenv to /usr/local/bin ...

\nCreating /etc/oratab file...
Adding entry to /etc/oratab file...
Entries will be added to the /etc/oratab file as needed by
Database Configuration Assistant when a database is created
Finished running generic part of root.sh script.
Now product-specific root actions will be performed.

2、解决问题
这是最关键的部分,在安装程序运行到最后Configuration Tools不行,执行检测时,会提示报错:
点击在新窗口中浏览此图片
接下来,还是需要打上Oracle的一些补丁。

3、解决Agent服务启动问题
以oracle用户执行:

# su - oracle
$ cd /tmp
$ unzip p3238244_9204_LINUX.zip
$ cp 3238244/files/lib/stubs/* $ORACLE_HOME/lib/stubs/
$ cd $ORACLE_HOME/network/lib/
$ make -f ins_oemagent.mk install

4、解决JRE版本错误

$ cd $ORACLE_HOME
$ rm JRE
$ ln -s /opt/app/oracle/jre/1.3.1/ JRE
$ cd JRE/bin/
$ ln -s java jre
$ cd i386/native_threads/
$ ln -s java jre

测试一下:
引用
$ $ORACLE_HOME/JRE/bin/jre -version
java version "1.3.1_02"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.3.1_02-b02)
Java HotSpot(TM) Client VM (build 1.3.1_02-b02, mixed mode)

5、解决缺少libdb.so.2文件的问题
在启动HTTP Server服务时,会提示失败。原因是缺少libdb.so.2文件。该文件可由gdbm-1.8.0-26.2.1包提供,做个链接就可以了:

# ln -s /usr/lib/libgdbm.so.2.0.0 /usr/lib/libdb.so.2

上述工作完成后,点击Oracle安装界面Configuration Tools部分,从上往下点击各项“Retry”:
点击在新窗口中浏览此图片
至此,安装完成。

上文涉及的补丁包:
下载文件
这个文件只能在登入之后下载。请先 注册登入

三、检查
1、版本
引用
$ sqlplus /nolog

SQL*Plus: Release 9.2.0.4.0 - Production on Fri Aug 14 04:44:15 2009

Copyright (c) 1982, 2002, Oracle Corporation.  All rights reserved.

SQL> conn / as sysdba
Connected.
SQL> select * from v$version;

BANNER
--------------------------------------------------------------------------------
Oracle9i Enterprise Edition Release 9.2.0.4.0 - Production
PL/SQL Release 9.2.0.4.0 - Production
CORE    9.2.0.3.0       Production
TNS for Linux: Version 9.2.0.4.0 - Production
NLSRTL Version 9.2.0.4.0 - Production

2、监听、Agent

$ tnsping oracle9i
$ agentctl status
$ lsnrctl status
$ cd $ORACLE_HOME/Apache/Apache/bin
$ ./stopJServ.sh && ./startJServ.sh

(Oracle HTTP Server监听在7780端口,用http://ip:7780/访问)

3、客户端
运行:

$ oemapp console

界面:
点击在新窗口中浏览此图片

四、参考文档
在CentOs 5.2上安装Oracle 9i
Oracle9i (9.2.0.4.0) Installation on Red Hat Enterprise Linux 5 (RHEL5)
CentOS5.3安装oracle9i
Tags: , , , ,
kmmartin
2010/05/06 14:29
按照本文,安装成功,一点问题没有,非常感谢
linuxing 回复于 2010/05/07 10:36
^_^
分页: 1/1 第一页 1 最后页
发表评论
表情
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
emotemotemotemotemot
打开HTML
打开UBB
打开表情
隐藏
记住我
昵称   密码   游客无需密码
网址   电邮   [注册]